OpenNMS API 1.2.9

## org.opennms.web.notification
Class NoticeUtil

    java.lang.Object
      org.opennms.web.notification.NoticeUtil

public abstract class NoticeUtil
extends java.lang.Object

Field Summary
`protected static java.util.HashMap` `ackTypes`
`protected static java.util.HashMap` `sortStyles`

Constructor Summary
`NoticeUtil()`

Method Summary
`static NoticeFactory.AcknowledgeType` `getAcknowledgeType(java.lang.String ackTypeString)`
`static java.lang.String` `getAcknowledgeTypeString(NoticeFactory.AcknowledgeType ackType)`
`static NoticeFactory.Filter` `getFilter(java.lang.String filterString)`
`static java.lang.String` `getFilterString(NoticeFactory.Filter filter)`
`static NoticeFactory.SortStyle` `getSortStyle(java.lang.String sortStyleString)`
`static java.lang.String` `getSortStyleString(NoticeFactory.SortStyle sortStyle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sortStyles

    protected static final java.util.HashMap sortStyles

### ackTypes

    protected static final java.util.HashMap ackTypes

Constructor Detail

### NoticeUtil

    public NoticeUtil()

Method Detail

### getSortStyle

    public static NoticeFactory.SortStyle getSortStyle(java.lang.String sortStyleString)

### getSortStyleString

    public static java.lang.String getSortStyleString(NoticeFactory.SortStyle sortStyle)

### getAcknowledgeType

    public static NoticeFactory.AcknowledgeType getAcknowledgeType(java.lang.String ackTypeString)

### getAcknowledgeTypeString

    public static java.lang.String getAcknowledgeTypeString(NoticeFactory.AcknowledgeType ackType)

### getFilter

    public static NoticeFactory.Filter getFilter(java.lang.String filterString)

### getFilterString

    public static java.lang.String getFilterString(NoticeFactory.Filter filter)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.